package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.Result;
import com.izouma.awesomeadmin.model.OrderImage;


/**
 * service接口类
 */
public interface OrderImageService {

    List<OrderImage> getOrderImageList(OrderImage record);

    List<OrderImage> getOrderImageByPage(Page page, OrderImage record);

    OrderImage getOrderImageById(String id);

    OrderImage getOrderImage(OrderImage record);

    boolean createOrderImage(OrderImage record);

    boolean deleteOrderImage(String id);

    boolean updateOrderImage(OrderImage record);

    /**
     * 返修
     *
     * @param record
     * @return
     */
    boolean repair(OrderImage record);

    OrderImage getMemorySize(OrderImage record);

    Result autoCleanOrderImage(OrderImage record);

    OrderImage getOrderImageTotalNum(OrderImage param);
}

